Endpoints
Get Deposit Instructions
Generates raw Solana instructions for depositing into a strategy. Public keys in each instruction are serialized as 32-byte integer arrays.
Authorization
api_key x-api-key<token>
In: header
Request Body
application/json
Identify the strategy and base-asset mint, then provide either amount in base units or all: true.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/deposit/ix" \ -H "Content-Type: application/json" \ -d '{ "params": { "amount": 1000000, "base_asset": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", "payer_key": "GgBaCs3NCBuZN12kCJgAW63ydqohFkHEdfdEXBPzLHq", "strategy_id": "43620ba3-354c-456b-aa3c-5bf7fa46a6d4", "user_key": "GgBaCs3NCBuZN12kCJgAW63ydqohFkHEdfdEXBPzLHq" } }'{ "deposit_instructions": [ { "accounts": [ { "is_signer": true, "is_writable": false, "pubkey": [ 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2 ] } ], "data": [ 3, 4 ], "program_id": [ 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 ] } ], "lookup_table": "CktRuQ2mttgRGkXJtyksdKHjUdc2C4TgDzyB98oEzy8"}{ "message": "strategy_id must be provided for deposit"}{ "message": "Missing credentials"}{ "message": "API key invalid or doesn't exist"}{ "message": "Internal server error"}